Bug 220736

Summary: sysutils/siegfried: Update to 1.7.4
Product: Ports & Packages Reporter: Steffen <steffen>
Component: Individual Port(s)Assignee: Tobias Kortkamp <tobik>
Status: Closed FIXED    
Severity: Affects Some People CC: steffen, tobik
Priority: --- Keywords: easy
Version: LatestFlags: steffen: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
diff file
none
same diff, added requested flag
steffen: maintainer-approval+
corrected diff file steffen: maintainer-approval+

Description Steffen 2017-07-14 18:49:04 UTC
Created attachment 184360 [details]
diff file
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-15 03:18:05 UTC
Thank you Steffen. Please:

- Set the maintainer-approval flag on attachments (to +) to signify maintainer approval on patches for ports you are maintainer of.

- Confirm this change passes QA (portlint, poudriere in particular). For more infomation and instructions on testing, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 2 Steffen 2017-07-15 06:46:11 UTC
Hello Kubilay,

thanks for your comment.

I added the flag and the QA is done on my systems since I maintain this port.

One question: Why was the MAINTAINER in the summary removed?

Thanks,

Steffen
Comment 3 Steffen 2017-07-15 06:48:25 UTC
Created attachment 184369 [details]
same diff, added requested flag
Comment 4 Steffen 2017-07-16 12:43:29 UTC
Change passes QA.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-16 14:13:24 UTC
Thank you Steffen

we normalize issue summaries because [tags] are a relic of gnats and beyond making summaries longer and more difficult to read, are an unstructured/imprecise method for determining the classification and/or state of an issue (and more importantly, the changes/patches/attachments within the issue)

maintainer-approval on the other hand is a flag associated with a patch (Attachment) rather than the overall issue itself and is used as the basis for the " Ports: Maintainer Approved " saved search that you should be able to see in the Bugzilla footer. This is the canonical list of "maintainer approved" issues that developers should and do use to determine what they can work on.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-16 14:19:09 UTC
In the latest patch (attachment 184369 [details]), the version (PORTVERSION and distinfo checksums) go backward (1.7.4 -> 1.7.3) and an entire Makefile contents is added.

It appears there is a duplicate port directory within the parent:

first hunk:

+++ siegfried_1.7.3/Makefile

second hunk

+++ siegfried_1.7.3/siegfried/Makefile

Please re-check the diff creation procedure used, re-create the diff and update the patch
Comment 7 Steffen 2017-07-16 15:00:38 UTC
Created attachment 184398 [details]
corrected diff file

Fixed diff file.
Comment 8 Steffen 2017-07-16 15:02:54 UTC
Thanks Kubilay,

this was a hard one... Fixed and uploaded.

Best regards,

Steffen
Comment 9 commit-hook freebsd_committer 2017-07-19 19:11:17 UTC
A commit references this bug:

Author: tobik
Date: Wed Jul 19 19:11:01 UTC 2017
New revision: 446226
URL: https://svnweb.freebsd.org/changeset/ports/446226

Log:
  Update to 1.7.4

  Changes:	https://github.com/richardlehane/siegfried/blob/v1.7.4/CHANGELOG.md
  PR:		220736
  Submitted by:	Steffen <steffen@fritz.wtf> (maintainer)

Changes:
  head/sysutils/siegfried/Makefile
  head/sysutils/siegfried/distinfo